Skip to main content
`Ctrl`+`K`

# PetscLogEventActivateClass

Activates event logging for a PETSc object class for the current stage

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventActivateClass(PetscClassId classid)

Not Collective

## Input Parameter

- classid - The event class, for example `MAT_CLASSID`, `SNES_CLASSID`, etc.

## See Also

Profiling, `PetscLogEventIncludeClass()`, `PetscLogEventExcludeClass()`, `PetscLogEventDeactivateClass()`, `PetscLogEventActivate()`, `PetscLogEventDeactivate()`

## Level

developer

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages